﻿$ErrorActionPreference = 'Stop'

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    unzipLocation  = $toolsDir
    url            = 'https://github.com//WinMerge/winmerge/releases/download/v2.16.32/winmerge-2.16.32-exe.zip'
    url64          = 'https://github.com//WinMerge/winmerge/releases/download/v2.16.32/winmerge-2.16.32-x64-exe.zip'

    checksum       = 'c8bb505b410b7bde9aa4d21be8b52bcf4b239dea0e8812d56b093559baf3a31f'
    checksumType   = 'SHA256'
    checksum64     = '80407e2c8c2bae3ce7c4816a04ace719289c0c0e3b67cfe1a2ab30a94981d006'
    checksumType64 = 'SHA256'
}

Install-ChocolateyZipPackage @packageArgs

Get-ChildItem -Path $toolsDir -Filter "*.exe" -Recurse | ForEach-Object {
    $exe = $_.FullName
    if ($_.BaseName -eq 'winmergeu') {
      New-Item "${exe}.gui" -Type file -Force | Out-Null
    } else {
      New-Item "${exe}.ignore" -Type file -Force | Out-Null
    }
  }
